Subject: Re: [PATCH] e1000: remove unused variables

From: Sudip Mukherjee <[email-masked]>
Date: Thu, 27 Nov 2014 18:37:25 +0530

On Wed, Nov 26, 2014 at 09:59:28PM -0800, Hisashi T Fujinaka wrote:
> I'm pretty sure those double reads are there for a reason, so most of
> this I'm going to have to check on Monday. We have a long holiday
> weekend here in the US.

if the double reads are there for some reason, can you please let me know what that reason might be..

> 
> I'm not sure why you're bothering with an old driver like this, but if
> you haven't actually tried this on all the hardware it pertains to, I'm
> going want to NAK this.

no it has not been tested on hardware.  :(

i am still in the learning process, NAK is also part of learning.

infact there is another part of the code, which, theoretically, will never get executed. but i didnot dare to send that removal patch without testing on the hardware.

thanks
sudip

> 
> I should do this from my [email-masked] account but it's 10PM
> on the first day of a long holiday weekend.
> 
> On Thu, 27 Nov 2014, Sudip Mukherjee wrote:
> 
> >these variables were only being assigned some values, but were never
> >used.
> >
> >Signed-off-by: Sudip Mukherjee <[email-masked]>
> >---
> >drivers/net/ethernet/intel/e1000/e1000_hw.c   | 142 ++++++++++++--------------
<snip>
> >			case SPEED_100:
> >-				txb2b = false;
> >				/* maybe add some timeout factor ? */
> >				break;
> >			}
> >
> 
> -- 
> Hisashi T Fujinaka - [email-masked]
> BSEE + BSChem + BAEnglish + MSCS + $2.50 = coffee